Return all registered __autoload() functions

- « spl_autoload_extensions

- spl_autoload_register »

- PHP Manual
- SPL Functions
- Return all registered __autoload() functions

# spl_autoload_functions

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

spl_autoload_functions — Return all registered __autoload() functions

### Description

spl_autoload_functions(): array

Get all registered __autoload() functions.

### Parameters

This function has no parameters.

### Return Values

An array of all registered __autoload functions. If no function is registered, or the autoload queue is not activated, then the return value will be an empty array.

### Changelog

Version | Description
--- | ---
8.0.0 | Return value was updated to always be an array; previously this function returned `false` if the autoload queue wasn't activated.